package medicomed.keymon.com.mx;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class mapa_rutas extends Activity implements B4AActivity{
	public static mapa_rutas mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;
    public static boolean dontPause;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        mostCurrent = this;
		if (processBA == null) {
			processBA = new BA(this.getApplicationContext(), null, null, "medicomed.keymon.com.mx", "medicomed.keymon.com.mx.mapa_rutas");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (mapa_rutas).");
				p.finish();
			}
		}
        processBA.setActivityPaused(true);
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(this, processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "medicomed.keymon.com.mx", "medicomed.keymon.com.mx.mapa_rutas");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "medicomed.keymon.com.mx.mapa_rutas", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (mapa_rutas) Create " + (isFirst ? "(first time)" : "") + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (mapa_rutas) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return mapa_rutas.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null)
            return;
        if (this != mostCurrent)
			return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        if (!dontPause)
            BA.LogInfo("** Activity (mapa_rutas) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        else
            BA.LogInfo("** Activity (mapa_rutas) Pause event (activity is not paused). **");
        if (mostCurrent != null)
            processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        if (!dontPause) {
            processBA.setActivityPaused(true);
            mostCurrent = null;
        }

        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
            mapa_rutas mc = mostCurrent;
			if (mc == null || mc != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (mapa_rutas) Resume **");
            if (mc != mostCurrent)
                return;
		    processBA.raiseEvent(mc._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.gps.GPS _gps = null;
public static anywheresoftware.b4a.objects.RuntimePermissions _rp = null;
public static String _ruta = "";
public static anywheresoftware.b4a.sql.SQL _skmt = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c2 = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c22 = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c3 = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.GoogleMapWrapper _gmap = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper _mapfragment1 = null;
public static double _latitud = 0;
public static double _longitud = 0;
public static double _lat2 = 0;
public static double _lon2 = 0;
public anywheresoftware.b4a.gps.LocationWrapper _p1 = null;
public anywheresoftware.b4a.gps.LocationWrapper _p2 = null;
public static float _distance = 0f;
public anywheresoftware.b4a.objects.ButtonWrapper _boton1 = null;
public static float _hue_blue = 0f;
public static float _hue_red = 0f;
public static float _hue_green = 0f;
public anywheresoftware.b4a.objects.ButtonWrapper _b_azul = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_rojo = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_verde = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_todos = null;
public static String _tienda = "";
public static double _latitudru = 0;
public static double _longitudru = 0;
public anywheresoftware.b4a.objects.collections.List _list_azul = null;
public anywheresoftware.b4a.objects.collections.List _list_rojo = null;
public anywheresoftware.b4a.objects.collections.List _list_verde = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_azul = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_rojo = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_verde = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_cedis = null;
public static String _rojo = "";
public static String _azul = "";
public static String _verde = "";
public static String _todos = "";
public static int _numserie = 0;
public uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener _oninfowindowclicklistener1 = null;
public uk.co.martinpearman.b4a.googlemapsextras.GoogleMapsExtras _googlemapextra = null;
public static String _codigo = "";
public static String _semana = "";
public b4a.example.dateutils _dateutils = null;
public medicomed.keymon.com.mx.main _main = null;
public medicomed.keymon.com.mx.starter _starter = null;
public medicomed.keymon.com.mx.appupdater _appupdater = null;
public medicomed.keymon.com.mx.mapa_cliente _mapa_cliente = null;
public medicomed.keymon.com.mx.subs _subs = null;
public medicomed.keymon.com.mx.notificationservice _notificationservice = null;
public medicomed.keymon.com.mx.pendientes _pendientes = null;
public medicomed.keymon.com.mx.tracker _tracker = null;
public medicomed.keymon.com.mx.newinst2 _newinst2 = null;
public medicomed.keymon.com.mx.b4xpages _b4xpages = null;
public medicomed.keymon.com.mx.b4xcollections _b4xcollections = null;
public medicomed.keymon.com.mx.httputils2service _httputils2service = null;
public medicomed.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static void  _activity_create(boolean _firsttime) throws Exception{
ResumableSub_Activity_Create rsub = new ResumableSub_Activity_Create(null,_firsttime);
rsub.resume(processBA, null);
}
public static class ResumableSub_Activity_Create extends BA.ResumableSub {
public ResumableSub_Activity_Create(medicomed.keymon.com.mx.mapa_rutas parent,boolean _firsttime) {
this.parent = parent;
this._firsttime = _firsttime;
}
medicomed.keymon.com.mx.mapa_rutas parent;
boolean _firsttime;
String _permission = "";
boolean _result = false;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 57;BA.debugLine="Activity.LoadLayout(\"MAPA_RUTAS\")";
parent.mostCurrent._activity.LoadLayout("MAPA_RUTAS",mostCurrent.activityBA);
 //BA.debugLineNum = 61;BA.debugLine="ruta = File.DirInternal";
parent._ruta = anywheresoftware.b4a.keywords.Common.File.getDirInternal();
 //BA.debugLineNum = 63;BA.debugLine="If File.Exists(ruta, \"kmt.db\") = False Then";
if (true) break;

case 1:
//if
this.state = 4;
if (anywheresoftware.b4a.keywords.Common.File.Exists(parent._ruta,"kmt.db")==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 //BA.debugLineNum = 64;BA.debugLine="File.Copy(File.DirAssets, \"kmt.db\", ruta, \"kmt.d";
anywheresoftware.b4a.keywords.Common.File.Copy(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"kmt.db",parent._ruta,"kmt.db");
 if (true) break;

case 4:
//C
this.state = 5;
;
 //BA.debugLineNum = 66;BA.debugLine="skmt.Initialize(ruta,\"kmt.db\", True)";
parent._skmt.Initialize(parent._ruta,"kmt.db",anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 68;BA.debugLine="Starter.rp.CheckAndRequest(Starter.rp.PERMISSION_";
parent.mostCurrent._starter._rp /*anywheresoftware.b4a.objects.RuntimePermissions*/ .CheckAndRequest(processBA,parent.mostCurrent._starter._rp /*anywheresoftware.b4a.objects.RuntimePermissions*/ .PERMISSION_ACCESS_FINE_LOCATION);
 //BA.debugLineNum = 69;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
anywheresoftware.b4a.keywords.Common.WaitFor("activity_permissionresult", processBA, this, null);
this.state = 19;
return;
case 19:
//C
this.state = 5;
_permission = (String) result[0];
_result = (Boolean) result[1];
;
 //BA.debugLineNum = 70;BA.debugLine="If Result Then";
if (true) break;

case 5:
//if
this.state = 14;
if (_result) { 
this.state = 7;
}else {
this.state = 13;
}if (true) break;

case 7:
//C
this.state = 8;
 //BA.debugLineNum = 71;BA.debugLine="StartService(Tracker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._tracker.getObject()));
 //BA.debugLineNum = 72;BA.debugLine="Log(\"Start Tracker\")";
anywheresoftware.b4a.keywords.Common.LogImpl("747775760","Start Tracker",0);
 //BA.debugLineNum = 73;BA.debugLine="If MapFragment1.IsGooglePlayServicesAvailable =";
if (true) break;

case 8:
//if
this.state = 11;
if (parent.mostCurrent._mapfragment1.IsGooglePlayServicesAvailable(mostCurrent.activityBA)==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 10;
}if (true) break;

case 10:
//C
this.state = 11;
 //BA.debugLineNum = 74;BA.debugLine="ToastMessageShow(\"Please install Google Play Se";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Please install Google Play Services."),anywheresoftware.b4a.keywords.Common.True);
 if (true) break;

case 11:
//C
this.state = 14;
;
 if (true) break;

case 13:
//C
this.state = 14;
 //BA.debugLineNum = 77;BA.debugLine="ToastMessageShow(\"No permission\", True)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("No permission"),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 78;BA.debugLine="B4XPages.ShowPage(\"Principal\")";
parent.mostCurrent._b4xpages._showpage /*String*/ (mostCurrent.activityBA,"Principal");
 if (true) break;

case 14:
//C
this.state = 15;
;
 //BA.debugLineNum = 93;BA.debugLine="MARK_AZUL.IsInitialized";
parent.mostCurrent._mark_azul.IsInitialized();
 //BA.debugLineNum = 94;BA.debugLine="MARK_ROJO.IsInitialized";
parent.mostCurrent._mark_rojo.IsInitialized();
 //BA.debugLineNum = 95;BA.debugLine="MARK_VERDE.IsInitialized";
parent.mostCurrent._mark_verde.IsInitialized();
 //BA.debugLineNum = 96;BA.debugLine="LIST_AZUL.Initialize";
parent.mostCurrent._list_azul.Initialize();
 //BA.debugLineNum = 97;BA.debugLine="LIST_ROJO.Initialize";
parent.mostCurrent._list_rojo.Initialize();
 //BA.debugLineNum = 98;BA.debugLine="LIST_VERDE.Initialize";
parent.mostCurrent._list_verde.Initialize();
 //BA.debugLineNum = 99;BA.debugLine="verde = 0";
parent.mostCurrent._verde = BA.NumberToString(0);
 //BA.debugLineNum = 100;BA.debugLine="azul = 0";
parent.mostCurrent._azul = BA.NumberToString(0);
 //BA.debugLineNum = 101;BA.debugLine="rojo = 0";
parent.mostCurrent._rojo = BA.NumberToString(0);
 //BA.debugLineNum = 102;BA.debugLine="todos = 1";
parent.mostCurrent._todos = BA.NumberToString(1);
 //BA.debugLineNum = 103;BA.debugLine="c=skmt.ExecQuery2(\"select count(*) AS CUANTOS fro";
parent._c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery2("select count(*) AS CUANTOS from CAT_VARIABLES WHERE CAT_VA_DESCRIPCION = ?",new String[]{"SEMANA"})));
 //BA.debugLineNum = 104;BA.debugLine="c.Position =0";
parent._c.setPosition((int) (0));
 //BA.debugLineNum = 105;BA.debugLine="SEMANA = c.GetString(\"CUANTOS\")";
parent.mostCurrent._semana = parent._c.GetString("CUANTOS");
 //BA.debugLineNum = 106;BA.debugLine="c.Close";
parent._c.Close();
 //BA.debugLineNum = 108;BA.debugLine="If SEMANA > 0 Then";
if (true) break;

case 15:
//if
this.state = 18;
if ((double)(Double.parseDouble(parent.mostCurrent._semana))>0) { 
this.state = 17;
}if (true) break;

case 17:
//C
this.state = 18;
 //BA.debugLineNum = 109;BA.debugLine="c=skmt.ExecQuery2(\"select CAT_VA_VALOR from CAT_";
parent._c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery2("select CAT_VA_VALOR from CAT_VARIABLES WHERE CAT_VA_DESCRIPCION = ?",new String[]{"SEMANA"})));
 //BA.debugLineNum = 110;BA.debugLine="c.Position =0";
parent._c.setPosition((int) (0));
 //BA.debugLineNum = 111;BA.debugLine="SEMANA = c.GetString(\"CAT_VA_VALOR\")";
parent.mostCurrent._semana = parent._c.GetString("CAT_VA_VALOR");
 //BA.debugLineNum = 112;BA.debugLine="c.Close";
parent._c.Close();
 if (true) break;

case 18:
//C
this.state = -1;
;
 //BA.debugLineNum = 114;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static void  _activity_permissionresult(String _permission,boolean _result) throws Exception{
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 298;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 299;BA.debugLine="GPS.Stop";
_gps.Stop();
 //BA.debugLineNum = 300;BA.debugLine="End Sub";
return "";
}
public static void  _activity_resume() throws Exception{
ResumableSub_Activity_Resume rsub = new ResumableSub_Activity_Resume(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_Activity_Resume extends BA.ResumableSub {
public ResumableSub_Activity_Resume(medicomed.keymon.com.mx.mapa_rutas parent) {
this.parent = parent;
}
medicomed.keymon.com.mx.mapa_rutas parent;
String _permission = "";
boolean _result = false;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 117;BA.debugLine="Starter.rp.Check(Starter.rp.PERMISSION_ACCESS_FIN";
parent.mostCurrent._starter._rp /*anywheresoftware.b4a.objects.RuntimePermissions*/ .Check(parent.mostCurrent._starter._rp /*anywheresoftware.b4a.objects.RuntimePermissions*/ .PERMISSION_ACCESS_FINE_LOCATION);
 //BA.debugLineNum = 118;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
anywheresoftware.b4a.keywords.Common.WaitFor("activity_permissionresult", processBA, this, null);
this.state = 11;
return;
case 11:
//C
this.state = 1;
_permission = (String) result[0];
_result = (Boolean) result[1];
;
 //BA.debugLineNum = 119;BA.debugLine="If Result Then";
if (true) break;

case 1:
//if
this.state = 10;
if (_result) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 //BA.debugLineNum = 120;BA.debugLine="If Starter.GPS.GPSEnabled = False Then";
if (true) break;

case 4:
//if
this.state = 9;
if (parent.mostCurrent._starter._gps /*anywheresoftware.b4a.gps.GPS*/ .getGPSEnabled()==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 6;
}else {
this.state = 8;
}if (true) break;

case 6:
//C
this.state = 9;
 //BA.debugLineNum = 121;BA.debugLine="ToastMessageShow(\"Debe Activar el GPS del Equip";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Debe Activar el GPS del Equipo."),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 122;BA.debugLine="StartActivity(Starter.GPS.LocationSettingsInten";
anywheresoftware.b4a.keywords.Common.StartActivity(processBA,(Object)(parent.mostCurrent._starter._gps /*anywheresoftware.b4a.gps.GPS*/ .getLocationSettingsIntent()));
 if (true) break;

case 8:
//C
this.state = 9;
 //BA.debugLineNum = 124;BA.debugLine="Starter.GPS.Start(0, 0)";
parent.mostCurrent._starter._gps /*anywheresoftware.b4a.gps.GPS*/ .Start(processBA,(long) (0),(float) (0));
 if (true) break;

case 9:
//C
this.state = 10;
;
 if (true) break;

case 10:
//C
this.state = -1;
;
 //BA.debugLineNum = 127;BA.debugLine="LIST_AZUL.Initialize";
parent.mostCurrent._list_azul.Initialize();
 //BA.debugLineNum = 128;BA.debugLine="LIST_ROJO.Initialize";
parent.mostCurrent._list_rojo.Initialize();
 //BA.debugLineNum = 129;BA.debugLine="LIST_VERDE.Initialize";
parent.mostCurrent._list_verde.Initialize();
 //BA.debugLineNum = 130;BA.debugLine="verde = 0";
parent.mostCurrent._verde = BA.NumberToString(0);
 //BA.debugLineNum = 131;BA.debugLine="azul = 1";
parent.mostCurrent._azul = BA.NumberToString(1);
 //BA.debugLineNum = 132;BA.debugLine="rojo = 0";
parent.mostCurrent._rojo = BA.NumberToString(0);
 //BA.debugLineNum = 133;BA.debugLine="todos = 0";
parent.mostCurrent._todos = BA.NumberToString(0);
 //BA.debugLineNum = 134;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static String  _b_azul_click() throws Exception{
 //BA.debugLineNum = 334;BA.debugLine="Sub B_AZUL_Click";
 //BA.debugLineNum = 335;BA.debugLine="azul = 1";
mostCurrent._azul = BA.NumberToString(1);
 //BA.debugLineNum = 336;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
 //BA.debugLineNum = 337;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
 //BA.debugLineNum = 338;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
 //BA.debugLineNum = 339;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
 //BA.debugLineNum = 341;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
 //BA.debugLineNum = 343;BA.debugLine="End Sub";
return "";
}
public static String  _b_rojo_click() throws Exception{
 //BA.debugLineNum = 323;BA.debugLine="Sub B_ROJO_Click";
 //BA.debugLineNum = 324;BA.debugLine="rojo = 1";
mostCurrent._rojo = BA.NumberToString(1);
 //BA.debugLineNum = 325;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
 //BA.debugLineNum = 326;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
 //BA.debugLineNum = 327;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
 //BA.debugLineNum = 328;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
 //BA.debugLineNum = 330;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
 //BA.debugLineNum = 332;BA.debugLine="End Sub";
return "";
}
public static String  _b_todos_click() throws Exception{
 //BA.debugLineNum = 303;BA.debugLine="Sub B_TODOS_Click";
 //BA.debugLineNum = 304;BA.debugLine="todos  =1";
mostCurrent._todos = BA.NumberToString(1);
 //BA.debugLineNum = 305;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
 //BA.debugLineNum = 306;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
 //BA.debugLineNum = 307;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
 //BA.debugLineNum = 309;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
 //BA.debugLineNum = 311;BA.debugLine="End Sub";
return "";
}
public static String  _b_verde_click() throws Exception{
 //BA.debugLineNum = 313;BA.debugLine="Sub B_VERDE_Click";
 //BA.debugLineNum = 314;BA.debugLine="verde = 1";
mostCurrent._verde = BA.NumberToString(1);
 //BA.debugLineNum = 315;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
 //BA.debugLineNum = 316;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
 //BA.debugLineNum = 317;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
 //BA.debugLineNum = 318;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
 //BA.debugLineNum = 319;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
 //BA.debugLineNum = 321;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 18;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 19;BA.debugLine="Private gmap As GoogleMap";
mostCurrent._gmap = new anywheresoftware.b4a.objects.MapFragmentWrapper.GoogleMapWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Private MapFragment1 As MapFragment";
mostCurrent._mapfragment1 = new anywheresoftware.b4a.objects.MapFragmentWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Dim Latitud As Double = 0";
_latitud = 0;
 //BA.debugLineNum = 22;BA.debugLine="Dim Longitud As Double = 0";
_longitud = 0;
 //BA.debugLineNum = 23;BA.debugLine="Dim Lat2 As Double = 0";
_lat2 = 0;
 //BA.debugLineNum = 24;BA.debugLine="Dim Lon2 As Double = 0";
_lon2 = 0;
 //BA.debugLineNum = 25;BA.debugLine="Dim p1, p2 As Location";
mostCurrent._p1 = new anywheresoftware.b4a.gps.LocationWrapper();
mostCurrent._p2 = new anywheresoftware.b4a.gps.LocationWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim Distance As Float";
_distance = 0f;
 //BA.debugLineNum = 27;BA.debugLine="Dim boton1 As Button";
mostCurrent._boton1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Dim HUE_BLUE As Float";
_hue_blue = 0f;
 //BA.debugLineNum = 29;BA.debugLine="Dim HUE_RED As Float";
_hue_red = 0f;
 //BA.debugLineNum = 30;BA.debugLine="Dim HUE_GREEN As Float";
_hue_green = 0f;
 //BA.debugLineNum = 31;BA.debugLine="Private B_AZUL As Button";
mostCurrent._b_azul = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Private B_ROJO As Button";
mostCurrent._b_rojo = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Private B_VERDE As Button";
mostCurrent._b_verde = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Private B_TODOS As Button";
mostCurrent._b_todos = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 35;BA.debugLine="Dim Tienda As String";
mostCurrent._tienda = "";
 //BA.debugLineNum = 36;BA.debugLine="Dim LatitudRu As Double";
_latitudru = 0;
 //BA.debugLineNum = 37;BA.debugLine="Dim LongitudRU As Double";
_longitudru = 0;
 //BA.debugLineNum = 38;BA.debugLine="Dim LIST_AZUL As List";
mostCurrent._list_azul = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 39;BA.debugLine="Dim LIST_ROJO As List";
mostCurrent._list_rojo = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 40;BA.debugLine="Dim LIST_VERDE As List";
mostCurrent._list_verde = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 41;BA.debugLine="Dim MARK_AZUL As Marker";
mostCurrent._mark_azul = new anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper();
 //BA.debugLineNum = 42;BA.debugLine="Dim MARK_ROJO As Marker";
mostCurrent._mark_rojo = new anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper();
 //BA.debugLineNum = 43;BA.debugLine="Dim MARK_VERDE As Marker";
mostCurrent._mark_verde = new anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper();
 //BA.debugLineNum = 44;BA.debugLine="Dim MARK_CEDIS As Marker";
mostCurrent._mark_cedis = new anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper();
 //BA.debugLineNum = 45;BA.debugLine="Dim rojo As String";
mostCurrent._rojo = "";
 //BA.debugLineNum = 46;BA.debugLine="Dim azul As String";
mostCurrent._azul = "";
 //BA.debugLineNum = 47;BA.debugLine="Dim verde As String";
mostCurrent._verde = "";
 //BA.debugLineNum = 48;BA.debugLine="Dim todos As String";
mostCurrent._todos = "";
 //BA.debugLineNum = 49;BA.debugLine="Dim NumSerie As Int";
_numserie = 0;
 //BA.debugLineNum = 50;BA.debugLine="Dim OnInfoWindowClickListener1 As OnInfoWindowCli";
mostCurrent._oninfowindowclicklistener1 = new uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener();
 //BA.debugLineNum = 51;BA.debugLine="Dim GoogleMapEXTRA As GoogleMapsExtras";
mostCurrent._googlemapextra = new uk.co.martinpearman.b4a.googlemapsextras.GoogleMapsExtras();
 //BA.debugLineNum = 52;BA.debugLine="Dim CODIGO As String";
mostCurrent._codigo = "";
 //BA.debugLineNum = 53;BA.debugLine="Private SEMANA As String";
mostCurrent._semana = "";
 //BA.debugLineNum = 54;BA.debugLine="End Sub";
return "";
}
public static String  _gps_locationchanged(anywheresoftware.b4a.gps.LocationWrapper _parametro) throws Exception{
 //BA.debugLineNum = 277;BA.debugLine="Sub GPS_LocationChanged (Parametro As Location)";
 //BA.debugLineNum = 278;BA.debugLine="MARK_CEDIS.IsInitialized";
mostCurrent._mark_cedis.IsInitialized();
 //BA.debugLineNum = 296;BA.debugLine="End Sub";
return "";
}
public static void  _mapfragment1_ready() throws Exception{
ResumableSub_MapFragment1_Ready rsub = new ResumableSub_MapFragment1_Ready(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_MapFragment1_Ready extends BA.ResumableSub {
public ResumableSub_MapFragment1_Ready(medicomed.keymon.com.mx.mapa_rutas parent) {
this.parent = parent;
}
medicomed.keymon.com.mx.mapa_rutas parent;
String _permission = "";
boolean _result = false;
anywheresoftware.b4j.object.JavaObject _javamapsobject = null;
int _i = 0;
anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper _aa = null;
int step15;
int limit15;
int step35;
int limit35;
int step51;
int limit51;
int step68;
int limit68;
int step82;
int limit82;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 137;BA.debugLine="Log(\"ENTRANDO MapFragment1_Ready\")";
anywheresoftware.b4a.keywords.Common.LogImpl("747906817","ENTRANDO MapFragment1_Ready",0);
 //BA.debugLineNum = 138;BA.debugLine="gmap = MapFragment1.GetMap";
parent.mostCurrent._gmap = parent.mostCurrent._mapfragment1.GetMap();
 //BA.debugLineNum = 139;BA.debugLine="gmap.IsInitialized";
parent.mostCurrent._gmap.IsInitialized();
 //BA.debugLineNum = 143;BA.debugLine="rp.CheckAndRequest(rp.PERMISSION_ACCESS_FINE_LOCA";
parent._rp.CheckAndRequest(processBA,parent._rp.PERMISSION_ACCESS_FINE_LOCATION);
 //BA.debugLineNum = 144;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
anywheresoftware.b4a.keywords.Common.WaitFor("activity_permissionresult", processBA, this, null);
this.state = 80;
return;
case 80:
//C
this.state = 1;
_permission = (String) result[0];
_result = (Boolean) result[1];
;
 //BA.debugLineNum = 145;BA.debugLine="gmap.MyLocationEnabled = Result";
parent.mostCurrent._gmap.setMyLocationEnabled(_result);
 //BA.debugLineNum = 147;BA.debugLine="Dim JavaMapsObject As JavaObject";
_javamapsobject = new anywheresoftware.b4j.object.JavaObject();
 //BA.debugLineNum = 148;BA.debugLine="JavaMapsObject = gmap.GetUiSettings";
_javamapsobject = (anywheresoftware.b4j.object.JavaObject) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4j.object.JavaObject(), (java.lang.Object)(parent.mostCurrent._gmap.GetUiSettings().getObject()));
 //BA.debugLineNum = 149;BA.debugLine="JavaMapsObject.RunMethod(\"setMapToolbarEnabled\",";
_javamapsobject.RunMethod("setMapToolbarEnabled",new Object[]{(Object)(anywheresoftware.b4a.keywords.Common.True)});
 //BA.debugLineNum = 151;BA.debugLine="If azul = 1 Or todos = 1  Then";
if (true) break;

case 1:
//if
this.state = 30;
if ((parent.mostCurrent._azul).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 //BA.debugLineNum = 152;BA.debugLine="c.IsInitialized";
parent._c.IsInitialized();
 //BA.debugLineNum = 153;BA.debugLine="c=skmt.ExecQuery(\"select CAT_CL_CODIGO,CAT_CL_NO";
parent._c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery("select CAT_CL_CODIGO,CAT_CL_NOMBRE,CAT_CL_LAT,CAT_CL_LONG from kmt_info where gestion = 0 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 and CAT_CL_LAT <> ' ' and CAT_CL_LONG <> ' ' and CAT_CL_CODIGO <> 0 and CAT_CL_CODIGO <> 1 AND CAT_CL_CODIGO NOT LIKE '%N%'")));
 //BA.debugLineNum = 155;BA.debugLine="Log($\"============== Resultados = ${c.RowCount}\"";
anywheresoftware.b4a.keywords.Common.LogImpl("747906835",("============== Resultados = "+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent._c.getRowCount()))+""),0);
 //BA.debugLineNum = 156;BA.debugLine="If c.RowCount > 0 Then";
if (true) break;

case 4:
//if
this.state = 23;
if (parent._c.getRowCount()>0) { 
this.state = 6;
}if (true) break;

case 6:
//C
this.state = 7;
 //BA.debugLineNum = 157;BA.debugLine="For i = 0 To c.RowCount - 1";
if (true) break;

case 7:
//for
this.state = 22;
step15 = 1;
limit15 = (int) (parent._c.getRowCount()-1);
_i = (int) (0) ;
this.state = 81;
if (true) break;

case 81:
//C
this.state = 22;
if ((step15 > 0 && _i <= limit15) || (step15 < 0 && _i >= limit15)) this.state = 9;
if (true) break;

case 82:
//C
this.state = 81;
_i = ((int)(0 + _i + step15)) ;
if (true) break;

case 9:
//C
this.state = 10;
 //BA.debugLineNum = 158;BA.debugLine="c.Position = i";
parent._c.setPosition(_i);
 //BA.debugLineNum = 161;BA.debugLine="LatitudRu = 0";
parent._latitudru = 0;
 //BA.debugLineNum = 162;BA.debugLine="Log(c.GetString(\"CAT_CL_CODIGO\")&\"      \"& c.G";
anywheresoftware.b4a.keywords.Common.LogImpl("747906842",parent._c.GetString("CAT_CL_CODIGO")+"      "+parent._c.GetString("CAT_CL_LAT"),0);
 //BA.debugLineNum = 163;BA.debugLine="If c.GetString(\"CAT_CL_LAT\") <> \"\" Then Latitu";
if (true) break;

case 10:
//if
this.state = 15;
if ((parent._c.GetString("CAT_CL_LAT")).equals("") == false) { 
this.state = 12;
;}if (true) break;

case 12:
//C
this.state = 15;
parent._latitudru = (double)(Double.parseDouble(parent._c.GetString("CAT_CL_LAT")));
if (true) break;

case 15:
//C
this.state = 16;
;
 //BA.debugLineNum = 164;BA.debugLine="LongitudRU = 0";
parent._longitudru = 0;
 //BA.debugLineNum = 165;BA.debugLine="If c.GetString(\"CAT_CL_LONG\") <> \"\" Then Longi";
if (true) break;

case 16:
//if
this.state = 21;
if ((parent._c.GetString("CAT_CL_LONG")).equals("") == false) { 
this.state = 18;
;}if (true) break;

case 18:
//C
this.state = 21;
parent._longitudru = (double)(Double.parseDouble(parent._c.GetString("CAT_CL_LONG")));
if (true) break;

case 21:
//C
this.state = 82;
;
 //BA.debugLineNum = 166;BA.debugLine="CODIGO=c.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c.GetString("CAT_CL_CODIGO");
 //BA.debugLineNum = 167;BA.debugLine="Tienda= c.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c.GetString("CAT_CL_NOMBRE");
 //BA.debugLineNum = 168;BA.debugLine="MARK_AZUL = gmap.AddMarker2(LatitudRu, Longitu";
parent.mostCurrent._mark_azul = parent.mostCurrent._gmap.AddMarker2(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,parent.mostCurrent._gmap.HUE_BLUE);
 //BA.debugLineNum = 169;BA.debugLine="MARK_AZUL.Snippet = Tienda";
parent.mostCurrent._mark_azul.setSnippet(parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 22:
//C
this.state = 23;
;
 if (true) break;

case 23:
//C
this.state = 24;
;
 //BA.debugLineNum = 172;BA.debugLine="c .Close";
parent._c.Close();
 //BA.debugLineNum = 175;BA.debugLine="If MARK_AZUL.IsInitialized Then LIST_AZUL.Add(MA";
if (true) break;

case 24:
//if
this.state = 29;
if (parent.mostCurrent._mark_azul.IsInitialized()) { 
this.state = 26;
;}if (true) break;

case 26:
//C
this.state = 29;
parent.mostCurrent._list_azul.Add((Object)(parent.mostCurrent._mark_azul.getObject()));
if (true) break;

case 29:
//C
this.state = 30;
;
 if (true) break;
;
 //BA.debugLineNum = 178;BA.debugLine="If verde = 1 Or todos = 1  Then";

case 30:
//if
this.state = 57;
if ((parent.mostCurrent._verde).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 32;
}else {
this.state = 42;
}if (true) break;

case 32:
//C
this.state = 33;
 //BA.debugLineNum = 179;BA.debugLine="c2.IsInitialized";
parent._c2.IsInitialized();
 //BA.debugLineNum = 180;BA.debugLine="c2=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL_";
parent._c2 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT from kmt_info where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0  and CAT_CL_CODIGO <> 0 and CAT_CL_CODIGO <> 1 UNION select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT from kmt_info where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0  and CAT_CL_CODIGO <> 0 and CAT_CL_CODIGO <> 1")));
 //BA.debugLineNum = 181;BA.debugLine="Log($\"============== Resultados = ${c2.RowCount}";
anywheresoftware.b4a.keywords.Common.LogImpl("747906861",("============== Resultados = "+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent._c2.getRowCount()))+""),0);
 //BA.debugLineNum = 182;BA.debugLine="For i = 0 To c2.RowCount -1";
if (true) break;

case 33:
//for
this.state = 40;
step35 = 1;
limit35 = (int) (parent._c2.getRowCount()-1);
_i = (int) (0) ;
this.state = 83;
if (true) break;

case 83:
//C
this.state = 40;
if ((step35 > 0 && _i <= limit35) || (step35 < 0 && _i >= limit35)) this.state = 35;
if (true) break;

case 84:
//C
this.state = 83;
_i = ((int)(0 + _i + step35)) ;
if (true) break;

case 35:
//C
this.state = 36;
 //BA.debugLineNum = 183;BA.debugLine="c2.Position = i";
parent._c2.setPosition(_i);
 //BA.debugLineNum = 185;BA.debugLine="If IsNumber(c2.GetString(\"CAT_CL_LONG\")) Then";
if (true) break;

case 36:
//if
this.state = 39;
if (anywheresoftware.b4a.keywords.Common.IsNumber(parent._c2.GetString("CAT_CL_LONG"))) { 
this.state = 38;
}if (true) break;

case 38:
//C
this.state = 39;
 //BA.debugLineNum = 186;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
parent._longitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LONG")));
 //BA.debugLineNum = 187;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
parent._latitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LAT")));
 //BA.debugLineNum = 188;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c2.GetString("CAT_CL_CODIGO");
 //BA.debugLineNum = 189;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c2.GetString("CAT_CL_NOMBRE");
 //BA.debugLineNum = 190;BA.debugLine="MARK_VERDE = gmap.AddMarker2(LatitudRu, Longit";
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.AddMarker2(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,parent.mostCurrent._gmap.HUE_GREEN);
 //BA.debugLineNum = 191;BA.debugLine="MARK_VERDE.Snippet = Tienda";
parent.mostCurrent._mark_verde.setSnippet(parent.mostCurrent._tienda);
 if (true) break;

case 39:
//C
this.state = 84;
;
 if (true) break;
if (true) break;

case 40:
//C
this.state = 57;
;
 if (true) break;

case 42:
//C
this.state = 43;
 //BA.debugLineNum = 195;BA.debugLine="If verde = 1 Or todos = 1  Then";
if (true) break;

case 43:
//if
this.state = 56;
if ((parent.mostCurrent._verde).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 45;
}if (true) break;

case 45:
//C
this.state = 46;
 //BA.debugLineNum = 196;BA.debugLine="c2.IsInitialized";
parent._c2.IsInitialized();
 //BA.debugLineNum = 197;BA.debugLine="c2=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL";
parent._c2 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT from kmt_info where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0  and CAT_CL_CODIGO <> 0 and CAT_CL_CODIGO <> 1")));
 //BA.debugLineNum = 198;BA.debugLine="Log($\"============== Resultados = ${c2.RowCount";
anywheresoftware.b4a.keywords.Common.LogImpl("747906878",("============== Resultados = "+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent._c2.getRowCount()))+""),0);
 //BA.debugLineNum = 199;BA.debugLine="For i = 0 To c2.RowCount -1";
if (true) break;

case 46:
//for
this.state = 49;
step51 = 1;
limit51 = (int) (parent._c2.getRowCount()-1);
_i = (int) (0) ;
this.state = 85;
if (true) break;

case 85:
//C
this.state = 49;
if ((step51 > 0 && _i <= limit51) || (step51 < 0 && _i >= limit51)) this.state = 48;
if (true) break;

case 86:
//C
this.state = 85;
_i = ((int)(0 + _i + step51)) ;
if (true) break;

case 48:
//C
this.state = 86;
 //BA.debugLineNum = 200;BA.debugLine="c2.Position = i";
parent._c2.setPosition(_i);
 //BA.debugLineNum = 202;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
parent._longitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LONG")));
 //BA.debugLineNum = 203;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
parent._latitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LAT")));
 //BA.debugLineNum = 204;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c2.GetString("CAT_CL_CODIGO");
 //BA.debugLineNum = 205;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c2.GetString("CAT_CL_NOMBRE");
 //BA.debugLineNum = 206;BA.debugLine="MARK_VERDE = gmap.AddMarker2(LatitudRu, Longit";
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.AddMarker2(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,parent.mostCurrent._gmap.HUE_GREEN);
 //BA.debugLineNum = 207;BA.debugLine="MARK_VERDE.Snippet = Tienda";
parent.mostCurrent._mark_verde.setSnippet(parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 49:
//C
this.state = 50;
;
 //BA.debugLineNum = 209;BA.debugLine="c2 .Close";
parent._c2.Close();
 //BA.debugLineNum = 210;BA.debugLine="If MARK_VERDE.IsInitialized Then LIST_VERDE.Add";
if (true) break;

case 50:
//if
this.state = 55;
if (parent.mostCurrent._mark_verde.IsInitialized()) { 
this.state = 52;
;}if (true) break;

case 52:
//C
this.state = 55;
parent.mostCurrent._list_verde.Add((Object)(parent.mostCurrent._mark_verde.getObject()));
if (true) break;

case 55:
//C
this.state = 56;
;
 if (true) break;

case 56:
//C
this.state = 57;
;
 if (true) break;
;
 //BA.debugLineNum = 215;BA.debugLine="If rojo = 1 Or todos = 1 Then";

case 57:
//if
this.state = 79;
if ((parent.mostCurrent._rojo).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 59;
}else {
this.state = 65;
}if (true) break;

case 59:
//C
this.state = 60;
 //BA.debugLineNum = 216;BA.debugLine="c3.IsInitialized";
parent._c3.IsInitialized();
 //BA.debugLineNum = 217;BA.debugLine="c3=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL_";
parent._c3 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT from kmt_info where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0  and CAT_CL_CODIGO <> 0 and CAT_CL_CODIGO <> 1")));
 //BA.debugLineNum = 218;BA.debugLine="Log($\"============== Resultados = ${c3.RowCount}";
anywheresoftware.b4a.keywords.Common.LogImpl("747906898",("============== Resultados = "+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent._c3.getRowCount()))+""),0);
 //BA.debugLineNum = 219;BA.debugLine="For i = 0 To c3.RowCount -1";
if (true) break;

case 60:
//for
this.state = 63;
step68 = 1;
limit68 = (int) (parent._c3.getRowCount()-1);
_i = (int) (0) ;
this.state = 87;
if (true) break;

case 87:
//C
this.state = 63;
if ((step68 > 0 && _i <= limit68) || (step68 < 0 && _i >= limit68)) this.state = 62;
if (true) break;

case 88:
//C
this.state = 87;
_i = ((int)(0 + _i + step68)) ;
if (true) break;

case 62:
//C
this.state = 88;
 //BA.debugLineNum = 220;BA.debugLine="c3.Position = i";
parent._c3.setPosition(_i);
 //BA.debugLineNum = 222;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
parent._longitudru = parent._c3.GetDouble("CAT_CL_LONG");
 //BA.debugLineNum = 223;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
parent._latitudru = parent._c3.GetDouble("CAT_CL_LAT");
 //BA.debugLineNum = 224;BA.debugLine="CODIGO = c3.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c3.GetString("CAT_CL_CODIGO");
 //BA.debugLineNum = 225;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c3.GetString("CAT_CL_NOMBRE");
 //BA.debugLineNum = 226;BA.debugLine="MARK_ROJO = gmap.AddMarker2(LatitudRu, Longitud";
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.AddMarker2(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,parent.mostCurrent._gmap.HUE_RED);
 //BA.debugLineNum = 227;BA.debugLine="MARK_ROJO.Snippet = Tienda";
parent.mostCurrent._mark_rojo.setSnippet(parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 63:
//C
this.state = 79;
;
 if (true) break;

case 65:
//C
this.state = 66;
 //BA.debugLineNum = 230;BA.debugLine="If rojo = 1 Or  todos = 1  Then";
if (true) break;

case 66:
//if
this.state = 78;
if ((parent.mostCurrent._rojo).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 68;
}if (true) break;

case 68:
//C
this.state = 69;
 //BA.debugLineNum = 231;BA.debugLine="c3.IsInitialized";
parent._c3.IsInitialized();
 //BA.debugLineNum = 232;BA.debugLine="c3=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL";
parent._c3 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT from kmt_info where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0  and CAT_CL_CODIGO <> 0 and CAT_CL_CODIGO <> 1")));
 //BA.debugLineNum = 233;BA.debugLine="Log($\"============== Resultados = ${c3.RowCount";
anywheresoftware.b4a.keywords.Common.LogImpl("747906913",("============== Resultados = "+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent._c3.getRowCount()))+""),0);
 //BA.debugLineNum = 234;BA.debugLine="For i = 0 To c3.RowCount -1";
if (true) break;

case 69:
//for
this.state = 72;
step82 = 1;
limit82 = (int) (parent._c3.getRowCount()-1);
_i = (int) (0) ;
this.state = 89;
if (true) break;

case 89:
//C
this.state = 72;
if ((step82 > 0 && _i <= limit82) || (step82 < 0 && _i >= limit82)) this.state = 71;
if (true) break;

case 90:
//C
this.state = 89;
_i = ((int)(0 + _i + step82)) ;
if (true) break;

case 71:
//C
this.state = 90;
 //BA.debugLineNum = 235;BA.debugLine="c3.Position = i";
parent._c3.setPosition(_i);
 //BA.debugLineNum = 237;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
parent._longitudru = parent._c3.GetDouble("CAT_CL_LONG");
 //BA.debugLineNum = 238;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
parent._latitudru = parent._c3.GetDouble("CAT_CL_LAT");
 //BA.debugLineNum = 239;BA.debugLine="CODIGO = c3.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c3.GetString("CAT_CL_CODIGO");
 //BA.debugLineNum = 240;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c3.GetString("CAT_CL_NOMBRE");
 //BA.debugLineNum = 241;BA.debugLine="MARK_ROJO = gmap.AddMarker2(LatitudRu, Longitu";
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.AddMarker2(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,parent.mostCurrent._gmap.HUE_RED);
 //BA.debugLineNum = 242;BA.debugLine="MARK_ROJO.Snippet = Tienda";
parent.mostCurrent._mark_rojo.setSnippet(parent.mostCurrent._tienda);
 if (true) break;
if (true) break;
;
 //BA.debugLineNum = 244;BA.debugLine="If MARK_ROJO.IsInitialized Then LIST_ROJO.Add(M";

case 72:
//if
this.state = 77;
if (parent.mostCurrent._mark_rojo.IsInitialized()) { 
this.state = 74;
;}if (true) break;

case 74:
//C
this.state = 77;
parent.mostCurrent._list_rojo.Add((Object)(parent.mostCurrent._mark_rojo.getObject()));
if (true) break;

case 77:
//C
this.state = 78;
;
 //BA.debugLineNum = 245;BA.debugLine="c3.Close";
parent._c3.Close();
 if (true) break;

case 78:
//C
this.state = 79;
;
 if (true) break;

case 79:
//C
this.state = -1;
;
 //BA.debugLineNum = 254;BA.debugLine="Dim aa As CameraPosition";
_aa = new anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper();
 //BA.debugLineNum = 255;BA.debugLine="aa.Initialize(LatitudRu,LongitudRU,15)''' RECOMEN";
_aa.Initialize(parent._latitudru,parent._longitudru,(float) (15));
 //BA.debugLineNum = 256;BA.debugLine="gmap.AnimateCamera(aa)";
parent.mostCurrent._gmap.AnimateCamera((com.google.android.gms.maps.model.CameraPosition)(_aa.getObject()));
 //BA.debugLineNum = 259;BA.debugLine="Dim OnInfoWindowClickListener1 As OnInfoWindowCli";
parent.mostCurrent._oninfowindowclicklistener1 = new uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener();
 //BA.debugLineNum = 260;BA.debugLine="OnInfoWindowClickListener1.Initialize(\"OnInfoWind";
parent.mostCurrent._oninfowindowclicklistener1.Initialize(mostCurrent.activityBA,"OnInfoWindowClickListener1");
 //BA.debugLineNum = 261;BA.debugLine="GoogleMapEXTRA.SetOnInfoWindowClickListener(gmap,";
parent.mostCurrent._googlemapextra.SetOnInfoWindowClickListener((com.google.android.gms.maps.GoogleMap)(parent.mostCurrent._gmap.getObject()),(com.google.android.gms.maps.GoogleMap.OnInfoWindowClickListener)(parent.mostCurrent._oninfowindowclicklistener1.getObject()));
 //BA.debugLineNum = 263;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static String  _oninfowindowclicklistener1_click(anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _marker1) throws Exception{
 //BA.debugLineNum = 268;BA.debugLine="Sub OnInfoWindowClickListener1_click(Marker1 As Ma";
 //BA.debugLineNum = 269;BA.debugLine="skmt.ExecNonQuery(\"delete from CUENTAA\")";
_skmt.ExecNonQuery("delete from CUENTAA");
 //BA.debugLineNum = 270;BA.debugLine="skmt.ExecNonQuery2(\"INSERT INTO CUENTAA VALUES (?";
_skmt.ExecNonQuery2("INSERT INTO CUENTAA VALUES (?) ",anywheresoftware.b4a.keywords.Common.ArrayToList(new Object[]{(Object)(_marker1.getTitle())}));
 //BA.debugLineNum = 271;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 272;BA.debugLine="Starter.pre_viejo = Subs.traeTotalClientepreventa";
mostCurrent._starter._pre_viejo /*float*/  = (float) (mostCurrent._subs._traetotalclientepreventaparacredito /*double*/ (mostCurrent.activityBA,_marker1.getTitle()));
 //BA.debugLineNum = 273;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
mostCurrent._b4xpages._showpage /*String*/ (mostCurrent.activityBA,"Cliente");
 //BA.debugLineNum = 274;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 7;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 8;BA.debugLine="Dim GPS As GPS";
_gps = new anywheresoftware.b4a.gps.GPS();
 //BA.debugLineNum = 9;BA.debugLine="Dim rp As RuntimePermissions";
_rp = new anywheresoftware.b4a.objects.RuntimePermissions();
 //BA.debugLineNum = 10;BA.debugLine="Dim ruta As String";
_ruta = "";
 //BA.debugLineNum = 11;BA.debugLine="Dim skmt As SQL";
_skmt = new anywheresoftware.b4a.sql.SQL();
 //BA.debugLineNum = 12;BA.debugLine="Dim c As Cursor";
_c = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 13;BA.debugLine="Dim c2 As Cursor";
_c2 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 14;BA.debugLine="Dim c22 As Cursor";
_c22 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 15;BA.debugLine="Dim c3 As Cursor";
_c3 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 16;BA.debugLine="End Sub";
return "";
}
}
